Subject: Re: [netlmm] Issue: Prefix allocation and multihomed MNs

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 01 Oct 2007 09:49:49 +0200

Narayanan, Vidya wrote:
> Hi Raj,
>  
>> Forgot one more thing....
>> I don't think we want to take the route of making the MN-ID 
>> being interface specific. We can consider adding other hints 
>> to the LMA that can be used as a means to interpret that it 
>> is the same MN attaching via an alternate interface... But 
>> not change MN-ID to be interface specific.
>>
> 
> Any thoughts on what other hints we can use?  I don't it is necessary to
> even correlate it to the same MN.  It should be sufficient to
> distinguish the interfaces such that the LMA treats those as separate IP
> addresses and separate PMIP sessions.

The link-local address of the MN.

Alex

> 
> Vidya
> 
> 
>> -Raj
>>
>>> Vidya
>>>
>>>> -Raj
>>>>
> 
> 
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm
> 

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 01 Oct 2007 09:49:01 +0200

Basavaraj Patil wrote:
> 
> 
> On 9/28/07 4:16 PM, "ext Narayanan, Vidya" <[email-masked]>
> wrote:
> 
> Snip.. Snip..
> 
> 
>>> An MN which attaches via different interfaces simultaneously to a
>>> PMIP6 domain will result in the LMA having a BCE for the last
>>> received PBU. Host behavior when multiple interfaces have the
>>> same address is unspecified and we can just leave it at that. In
>>> the context of this document, we do not need to solve it.
>>> 
>> I don't get this part though.  Given that there isn't a practical
>> way for the network to determine if the MN is attaching to multiple
>> MAGs or just one (I can imagine somewhat more complicated ways of
>> figuring that out with additional help from the lower layers, but,
>> we can't rely on that), if we left it unsolved, that just means
>> that an MN which happens to have multiple interfaces may suffer
>> lack of IP connectivity or toggling/intermittent connectivity.  So,
>> I think we do need to state that the MN-ID used must be
>> interface-specific.  How a system ensures that the ID used is
>> interface-specific doesn't need to be mandated.
> 
> Forgot one more thing.... I don't think we want to take the route of
> making the MN-ID being interface specific.

I agree.

> We can consider adding other hints to the LMA that can be used as a
> means to interpret that it is the same MN attaching via an alternate 
> interface... But not change MN-ID to be interface specific.

Hints... how about the IP address itself?

One way is for MAG to offer the link-local address of the MN to the LMA. 
  PBU can encode that already.  Except that current text says "all 
entities must identify the node by MN-ID"...

Alex

> 
> -Raj
> 
>> Vidya
>> 
>>> -Raj
>>> 
> 
> 
> 
> 
> _______________________________________________ netlmm mailing list 
> [email-masked] https://www1.ietf.org/mailman/listinfo/netlmm
>